
extdesc="the Digital Music Information Retrieval Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}

source cascade-make/lib/cascade-lib.bash

if [ "x$GEXT_MUSICIR" = "x" ] ; then
  export GEXT_MUSICIR=$fulldir
  export GEXT_MUSICIR_INSTALLED=$GEXT_MUSICIR/$GSDLOS
  export GEXT_MUSICIR_LIBJAVA=$GEXT_MUSICIR/lib/java


  export PATH=$GEXT_MUSICIR_INSTALLED/bin:$GEXT_MUSICIR/bin/script:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXT_MUSICIR_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXT_MUSICIR_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXT_MUSICIR_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXT_MUSICIR_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  extdir=${GEXT_MUSICIR##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
